<?xml version='1.0' encoding='UTF-8' ?>
<!--
  ~ Copyright (c) 2016 Roman Nazarenko.
  ~
  ~  This program is free software: you can redistribute it and/or modify
  ~  it under the terms of the GNU Affero General Public License as
  ~  published by the Free Software Foundation, either version 3 of
  ~  the License, or (at your option) any later version.
  ~
  ~  This program is distributed in the hope that it will be useful,
  ~  but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~  GNU General Public License for more details.
  ~
  ~  You should have received a copy of the GNU General Public License
  ~  along with this program.  If not, see <http://www.gnu.org/licenses/>.
  -->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
		"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	  xmlns:h="http://xmlns.jcp.org/jsf/html"
	  xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	  xmlns:f="http://xmlns.jcp.org/jsf/core">
<ui:composition>
	<f:view locale="en-GB" encoding="UTF-8"/>
	<ui:include src="init-semantic-api.xhtml"/>
	<h:outputScript target="head">
		$(function () {
			var jsfAware = function () {
				// Initialize always-presented element types without checks
				$('.ui.dropdown').dropdown();
				$('.local-date-time').toLocalDateTime();
				$('.local-date-time-short').toLocalDateTimeShort();
				$('.ui.search').search({
					apiSettings: {
						action: 'search',
						onResponse: function (response) {
							var entries = jQuery.map(response, function (e) {
								return {
									title: e.header,
									url: e.url,
									description: e.smallPreview,
								};
							});
							return {
								results: entries
							};
						},
					},
				});

				// Initialize optional element types with presence check
				if (typeof $('.ui.accordion').accordion !== 'undefined') {
					$('.ui.accordion').accordion();
				}
				if (typeof $('.ui').popup !== 'undefined') {
					$('.ui').popup();
				}
				if (typeof $('.ui.checkbox').checkbox !== 'undefined') {
					$('.ui.checkbox').checkbox();
				}
			};

			jsfAware();
			if (typeof jsf !== 'undefined') {
				jsf.ajax.addOnEvent(function () {
					jsfAware();
				});
			}

			$('#user-menu-dropdown').dropdown({
				action: 'hide',
			});
		});
	</h:outputScript>
</ui:composition>
</html>

